import { headersToObject, resolvePathParams } from "../utils.mjs";
import { useRuntimeConfig } from "#imports";
export function _$api(endpointId, path, opts = {}) {
  const { pathParams, query, headers, ...fetchOptions } = opts;
  const apiParty = useRuntimeConfig().apiParty;
  const endpoints = apiParty.endpoints || {};
  const endpoint = endpoints[endpointId];
  return globalThis.$fetch(resolvePathParams(path, pathParams), {
    ...fetchOptions,
    baseURL: endpoint.url,
    query: {
      ...endpoint.query,
      ...query
    },
    headers: {
      ...endpoint.token && { Authorization: `Bearer ${endpoint.token}` },
      ...endpoint.headers,
      ...headersToObject(headers)
    }
  });
}
